Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8219 - Quick 'n' dirty time sync
Summary: Quick 'n' dirty time sync
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-05 22:58 UTC by Ed Swierk
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-05 22:58:45 UTC


Attachments (Terms of Use)

Description Ed Swierk 2000-01-05 22:58:45 UTC
It would be cool if RedHat came with this tiny script
/etc/cron.daily/rdate.cron which synchronizes the clock with a server
daily:

--
#!/bin/sh

. /etc/sysconfig/clock

if [ "$SERVER" != "" ]; then
    rdate -s $SERVER
    setclock
fi
--

It would be even cooler if linuxconf had a way of setting the SERVER
variable in /etc/sysconfig/clock.

Yeah, it ain't NTP, but it doesn't require any extra software, it's trivial
to configure and it probably satisfies the time-sync needs of 99% of RedHat
users.

Comment 1 Henri Schlereth 2000-08-02 15:12:04 UTC
This really cant be implemented except on an individual basis. Most people dont synchronize their time from a server and those
that do use various methods like NTP, rdate, timed and so on.

Henri
RHBT


Note You need to log in before you can comment on or make changes to this bug.